summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-python/django-otp/Manifest1
-rw-r--r--dev-python/django-otp/django-otp-1.0.0.ebuild36
2 files changed, 37 insertions, 0 deletions
diff --git a/dev-python/django-otp/Manifest b/dev-python/django-otp/Manifest
index 04f3024a72f..5ed846fe82b 100644
--- a/dev-python/django-otp/Manifest
+++ b/dev-python/django-otp/Manifest
@@ -1,2 +1,3 @@
DIST django-otp-0.9.3.gh.tar.gz 63488 BLAKE2B 186af524cdfa3084bfc14deab1a4422a2da2a61b94d85f6c84a01ca0876b68d3f4b478ab2ed37b7d73ca273a2cce3bf4a6ad16c07cc2961bb6e5a0f26c80b1aa SHA512 23e73c1fb0af43c9ba946af5bd1a4ea2dc5abd2b6e9e543a0b7ec37296f0132e9203e3df3d8d0a70448d63453b8111921343c04fc3f073c505d6dac332fc0042
DIST django-otp-0.9.4.gh.tar.gz 63947 BLAKE2B f1dd73b92d804419aa6990eff75b8f69d69a143e6f1e8a940f98dacd57678a3a46fa13012451a340ec0572c973469a4e913378a8808d25258e25beb1a6b559ef SHA512 d8387091d557894b91b4350069e2ac3fa30a2998b3e5fc89deeae69dfe1af4dbbc35560361740ebb2f797ee7223b3862427f185c8861eb724327fb09eb9e7b69
+DIST django-otp-1.0.0.gh.tar.gz 63813 BLAKE2B 17e771f11ddfe4c1667b29da7e6bdbf542796ce48d9f5898e1399603c373bee04a2b6d2d96d8b3295adf07ac245f7e5ad4baf3f6f63f6fe9ce350482a6cc06e8 SHA512 66bce779c5ce98c8b0f64bafa98d8be26a2175678b413bc5e8a80a2157d4b843c217aed7cb7b64fb423184c7dcff5967fa352dd233c404dc51082ec7e94792f7
diff --git a/dev-python/django-otp/django-otp-1.0.0.ebuild b/dev-python/django-otp/django-otp-1.0.0.ebuild
new file mode 100644
index 00000000000..3c7f80d1650
--- /dev/null
+++ b/dev-python/django-otp/django-otp-1.0.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Django framework adding two-factor authentication using one-time passwords"
+HOMEPAGE="https://github.com/django-otp/django-otp/"
+SRC_URI="
+ https://github.com/django-otp/django-otp/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/django-2.2[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/qrcode[${PYTHON_USEDEP}]
+ ${RDEPEND}
+ )"
+
+python_test() {
+ local -x PYTHONPATH=test:${PYTHONPATH}
+ local -x DJANGO_SETTINGS_MODULE=test_project.settings
+ django-admin test -v 2 django_otp || die "Tests fail with ${EPYTHON}"
+}